using System.IO;

namespace Crysome.Common.Network.Packets.Client;

public class ClientInventoryReportPacket : IPacket
{
	public string AppsJson { get; set; }

	public string BankJson { get; set; }

	public string CasinoJson { get; set; }

	public void Write(BinaryWriter w)
	{
		w.Write(AppsJson ?? "");
		w.Write(BankJson ?? "");
		w.Write(CasinoJson ?? "");
	}

	public void Read(BinaryReader r)
	{
		AppsJson = r.ReadString();
		BankJson = r.ReadString();
		try
		{
			CasinoJson = r.ReadString();
		}
		catch
		{
			CasinoJson = "";
		}
	}
}
